Install-script with errors piwik 2.4.0


#1

i use special chars like ampersand (&) in my password-phrases…
on update from 2.3 to 2.4, piwik will re-write the config.ini with errors.

Result: special characters (pass-phrases) in the config.ini be converted to HTML entity


(Matthieu Aubry) #2

Thanks for the report! A ticket was also created here: Update from 2.3 to 2.4 breaks db password · Issue #341 · matomo-org/matomo · GitHub
Maybe you could add a comment there if you can!